## org.springframework.jdbc.datasource.init
Class ScriptStatementFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.jdbc.datasource.init.ScriptStatementFailedException

All Implemented Interfaces:
  Serializable

    public class ScriptStatementFailedException

extends RuntimeException

Thrown by `ResourceDatabasePopulator` if a statement in one of its SQL scripts failed when executing it against the target database.

Since:
  3.0.5
Author:
  Juergen Hoeller, Sam Brannen
See Also:
  Serialized Form

Constructor Summary
`ScriptStatementFailedException(String statement, int lineNumber, EncodedResource resource, Throwable cause)` Construct a new `ScriptStatementFailedException`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptStatementFailedException

    public ScriptStatementFailedException(String statement,
                                          int lineNumber,
                                          EncodedResource resource,
                                          Throwable cause)

  Construct a new `ScriptStatementFailedException`.

  Parameters:
    `statement` - the actual SQL statement that failed
    `lineNumber` - the line number in the SQL script
    `resource` - the resource from which the SQL statement was read
    `cause` - the underlying cause of the failure